cssutils (1.0.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Sandro Tosi ]
  * debian/patches/PR17.patch
    - import upstream PR to fix tests under python 3.10; Closes: #1009469

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2022 00:31:41 -0400

cssutils (1.0.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936350, #942978

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2020 19:40:57 -0500

cssutils (1.0.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Martin Pitt ]
  * debian/watch: Directly look at pypi.org.
    Apparently pypi.debian.net is down, and https://pypi.org/simple/ is,
    well, simple to parse; so cut out the middle-man.
  * Add autopkgtests for py2/3 modules and CLI
  * debian/copyright: Use https URL for gnu.org license
  * Bump Standards-Version to 4.3.0
  * Move to debhelper compat level 12
  * Adjust tests for current python-chardet.
    See https://bitbucket.org/cthedot/cssutils/issues/77

 -- Martin Pitt <mpitt@debian.org>  Sat, 19 Jan 2019 09:35:18 +0000

cssutils (1.0.2-1) unstable; urgency=medium

  * Acknowledge NMU. Thanks Christopher !
  * New upstream release (Closes: #852994).
    - Remove 02_fix_octal_escape.patch, applied upstream.
  * Bump compat from 9 to 10.
  * debian/control:
    - Depend on debhelper >= 10 instead of >= 9.
    - Remove Charlie Smotherman from the Uploaders list (Closes: #866910).
    - Bump Standards-Version to 4.0.0.
    - Update Vcs-* fields to use secured protocols.
  * Bump copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 23 Sep 2017 14:16:43 +0200

cssutils (1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - Add 02_fix_octal_escape.patch to fix FTBFS bug with Python 3.5
      (Closes: #798023).

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 21 Jan 2016 05:21:33 -0500

cssutils (1.0-4) unstable; urgency=high

  * Upload to unstable (Closes: #802063).
  * debian/control:
    - Update Vcs-* fields;

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 29 Nov 2015 23:45:17 +0100

cssutils (1.0-3) experimental; urgency=medium

  * Delete debian/patches/revert_to_0.9.10.patch:
    - Bogus changes have been fixed, so that it is now possible to
      build the package properly with upstream's version 1.0.
  * Delete debian/patches/disable_test.patch:
    - These deletions can be done through debian/rules.
  * Delete useless README.Debian.
  * debian/control, debian/copyright:
    - Change Hugo Lefeuvre's e-mail address.
  * debian/copyright:
    - Use https for the 'Format' field.
    - Update the 'Source' field.
  * debian/control:
    - Update the 'Homepage' field.
    - Add dh-python to the Build-Dependencies.
    - Depend on debhelper (>= 9).
  * debian/compat:
    - Use compat level 9.
  * debian/rules:
    - Use pybuild.
    - Fix various issues that were making pybuild builds the package in a
      bad directory and d/rules fails to be interpreted.
    - Disable tests that currently make the package fails to build, namely
      test_parseUrl, test_namespaces1 and test_handlers.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 25 Sep 2015 00:41:01 +0200

cssutils (1.0-2) unstable; urgency=medium

  * Revert packaging changes from previous upload. They leave the packages
    mostly empty, and create bogus packaging directories in debian/.
    (Closes: #768950, #768954, #768960)
  * Add debian/patches/revert_to_0.9.10.patch: Also revert to previous
    upstream version, so that we avoid introducing a fake new upstream version
    for the few days until this is expected to get cleaned up.  Upstream
    version 1.0's build system changed to not produce the _py[23] suffixes any
    more.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Nov 2014 13:13:11 +0100

cssutils (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - New uploader (Hugo Lefeuvre).
    - Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/copyright:
    - Update copyright to include Hugo Lefeuvre.
  * delete debian/patches/disable_test.patch: These deletions can be done
    through debian/rules.
  * debian/rules:
    - Use pybuild.
    - Fixed some bugs that make debian/rules failed to be interpreted.
    - Disable tests that currently make the package fail to build, namely
      test_parseUrl, test_namespaces1 and test_handlers.
  * debian/README.Debian:
    - Written some lines about disabled tests.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 11 Oct 2014 12:51:15 +0200

cssutils (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/python3-cssutils.examples.  Closes: #712150
  * Updated debian/rules to account for upstream directory changes.
  * With upstream directory changes the test dir renaming is not needed so
    removed from debian/rules.
  * Reworked debian/patches/02_disable_wrong_test.patch, one test has been
    removed by upstream.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 06 Oct 2013 03:49:10 -0500

cssutils (0.9.10~b1-2) unstable; urgency=low

  * Team upload.

  [ Dmitry Shachnev ]
  * Use /usr/bin/nosetests3 instead of /usr/bin/nosetests-3.X (closes:
    #707529).
  * Disable two tests that currently make the package fail to build
    (closes: #686340).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 May 2013 22:23:03 +0400

cssutils (0.9.10~b1-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards Version to 3.9.3, no changes needed.
  * Updated version mangling in debian/watch.
  * Disable test_errorhandler test in debian rules, as it needs network access.
    Closes: #671033 (LP: #931624)
  * Added rules so package honors DEB_BUILD_OPTIONS=nocheck. Closes: #671528
  * Updated debian/copyright Format field to version 1.0, added missing
    copyright years.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 03 Jun 2012 05:50:25 +0500

cssutils (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Added rule to run py3 unittests.
  * Added rules to ignore/exclude failing unittests.  Opened bug in upstreams
    bug tracker wrt failing unittests. (Closes: #658787)
  * Added rules to fix py2 and py3 shebangs in cssparse csscombine and
    csscapture.  (Closes: #658719)

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 22 Feb 2012 22:20:15 +0200

cssutils (0.9.8-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Charlie Smotherman ]
  * New upstream release.
  * Updated debian/watch.  Upstream now uses bitbucket for code hosting.
  * debian/control
    - Added python-pkg-resources to python-cssutils Depends field.
      Closes: #645251
    - Updated Homepage field to new bitbucket URL.
    - Added myself to Uploaders field.
    - Removed python-cssutils-doc stanza, upstream no longer ships any doc
      files.
    - Removed python-encutils stanza, upstream now bundles it into cssutils.
    - Added python3-cssutils stanzas.
    - B-D on python3, and python3-setuptools.
    - B-D on python-mock, python3-mock and python-nose to run unittests.
    - No longer Depend on python-encutils.
    - No longer Recommend python-cssutils-doc package.
    - Added Replaces and Provides so python-cssutils-0.9.8~a1 is upgraded
      properly.
  * debian/rules
    - Removed dh_install override, no longer needed.
    - Added rules to build python2 and python3 packages
    - Added rules to remove cssparse, csscombine and csscapture so
      update alternative can be used.
    - Added dh_installman override and make copies of manpages to be used in
      python2 and python3 packages.
    - Added nosetests to run unittests at build time for py2 package, py3-nose
      package not available which is needed to run py3 tests.
  * Removed python-cssutils-doc.links, python-cssutils-doc.doc-base,
    python-cssutils-doc.docs, python-cssutils-doc.examples,
    python-cssutils.install, python-encutils.install, no longer needed.
  * Added python-cssutils.doc to install README.txt as part of the
    python-cssutils package.
  * Added python-cssutils.examples to install the examples as part of
    python-cssutils package.
  * Added python3-cssutils.doc, python3-cssutils.examples, to install docs,
    and examples into the python3 package.
  * Update to use update-alternatives, python-cssutils.postinst,
    python-cssutils.prerm, python3-cssutils.postinst, python3-cssutils.prerm.
  * Added 01_setup_fix.patch to create py2 and py3 executables.

 -- Charlie Smotherman <cjsmo@cableone.net>  Fri, 03 Feb 2012 18:47:33 +0200

cssutils (0.9.8~a1-1) unstable; urgency=low

  [ Charlie Smotherman ]
  * Team upload.
  * New upstream release.
  * Update package to use dh_python2.  Closes: #616782
  * Switched to using dh7 tiny rules.
  * Increased debian/compat to 7.
  * Updated debian/python-cssutils.install and debian/python-encutils.install
    to allow installation into dist-packages.
  * Renamed debian/examples, debian/docs to debian/python-cssutils-doc.examples
    and debian/python-cssutils-doc.docs so they will be part of the docs
    package.
  * Added python-cssutils-doc to python-cssutils Recommends section.
  * Added the manpages
    - debian/man/csscapture.manpage1.
    - debian/man/csscombine.manpage1.
    - debian/man/cssparse.manpage1.
  * Added debian/python-cssutils.manpages to install the new manpages.
  * Updated debian/copyright to DEP5.
  * Added manpage copyright info to debian/copyright.
  * Added debian/doc-base to register the html documentation with doc-base.
  * Added debian/python-cssutils-doc.links to create the jquery.js symlink.
  * Reworked debian/watch so it now reports correctly.
  * Switched to using source format 3.0.
  * debian/control
    - removed cdbs from B-D.
    - bumped min python version to >= 2.6.6-3~.
    - removed python-central from B-D-I.
    - increased min debhelper version to >= 7.0.50~
    - bumped Standards Version to 3.9.2 no changes needed.
    - removed XS-P-V in favor of X-P-V, increased X-P-V to >=2.6.
    - removed XB-P-V.
    - added Recommends: python-cssutils-doc to python-cssutils binary stanza.
    - added libjs-jquery to Depends field of python-cssutils-doc bianry
      stanza.
    - removed dpkg-dev from B-D.
  * debian/rules
    - removed dh_auto_install override, not needed.
    - added dh_install exclude for jquery.js
    - removed --single-version-externally-managed, not needed anymore.

  [ Stefano Rivera ]
  * Add debian/clean to delete egg-info.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 16 Jun 2011 14:55:24 -0500

cssutils (0.9.7~b2-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Bump minimum required Python version to 2.5 (Closes: #586652)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 23 Jun 2010 00:06:39 +0200

cssutils (0.9.7~b2-1) unstable; urgency=low

  [ Sameer Rahmani ]
  * watch file fixed.

  [ Loïc Minier ]
  * debian/watch: allow for letters in upstream versions.

  [ Martin Pitt ]
  * New upstream release:
    Add CSSRuleList.rulesOfType required by calibre. (Closes: #586261)
  * debian/docs: Drop index.txt, removed upstream.

  [ Loïc Minier ]
  * Add Martin Pitt to Uploaders.
  * Don't repeat Section: python in binary packages.
  * Update copyright statement for the packaging to use "Copyright"
    adequately.

 -- Loïc Minier <lool@debian.org>  Fri, 18 Jun 2010 10:12:02 +0200

cssutils (0.9.6-1) unstable; urgency=low

  * Bump up Standards-Version to 3.8.4.
  * Use my @debian.org address in control.
  * Merge new upstream release from Ubuntu.

 -- Loïc Minier <lool@debian.org>  Tue, 18 May 2010 17:13:01 +0200

cssutils (0.9.6-0ubuntu1) lucid; urgency=low

  * New upstream release. This provides a new module "cssutils.profiles" which
    is required by calibre.
  * debian/python-cssutils-doc.install: Update for doc/ → docs/ rename.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Feb 2010 20:56:16 +0100

cssutils (0.9.5.1-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * Remove myself from uploaders.

  [ Jakub Wilk ]
  * Be less specific about *.egg-info name (closes: #552963).
  * Drop superfluous build-dependency of python-dev.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 01 Mar 2010 12:25:41 +0100

cssutils (0.9.5.1-1) unstable; urgency=low

  * New upstream release; bug fixes.
  * Switch to non-native packaging.
  * Drop CC license from copyright and update to LGPLv3; mention historical CC
    and LGPL uses; fix link to LGPL 2.1 for the Debian packaging; misc
    copyright tweaks.
  * Bump up standards-version.
  * Misc cleanups.
  * Drop useless pycompat and README.Debian.
  * Drop python:Depends from doc package.
  * Add XB-Python-Version: ${python:Versions} fields.
  * Move CHANGELOG.txt to DEB_INSTALL_CHANGELOGS_ALL instead of debian/docs.
  * Fix install files to not mention upstream and python versions.
  * Move some bdeps to bdeps-indeps.
  * Initial upload to Debian; closes: #462879.

 -- Loic Minier <lool@dooz.org>  Mon, 01 Sep 2008 12:30:38 +0200

cssutils (0.9.5-0+ppa3) hardy; urgency=low

  * debian/control:
    - added new package python-cssutils-doc
    - description updated for python-cssutils

  * debian/python-cssutils-doc.install:
    - added docs

  * debian/copyright:
    - replaced with version from alioth svn

 -- Damien Churchill <damoxc@gmail.com>  Tue, 05 Aug 2008 09:57:46 +0100

cssutils (0.9.5-0+ppa2) hardy; urgency=low

  * debian/control:
    - added new pacakge python-encutils
    - added python-encutils as a depends to python-cssutils

  * debian/python-cssutils.install:
    - added cssutils specific files

  * debian/python-encutils.install:
    - added encutils specific files

 -- Damien Churchill <damoxc@gmail.com>  Tue, 05 Aug 2008 09:16:54 +0100

cssutils (0.9.5-0+ppa1) hardy; urgency=low

  * Initial release.

 -- Damien Churchill <damoxc@gmail.com>  Tue, 05 Aug 2008 02:44:20 +0100

cssutils (0.9.5~b2-1) unstable; urgency=low

  * Initial packaging

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 28 Mar 2008 21:52:02 +0100
